<?php

namespace Modules\Tuiguang;

use Catch\Support\Module\Installer as ModuleInstaller;
use Modules\ContentManage\Providers\TuiguangServiceProvider;

class Installer extends ModuleInstaller
{
    protected function info(): array
    {
        // TODO: Implement info() method.
        return [
            'title' => '推广管理',
            'name' => 'tuiguang',
            'path' => 'tuiguang',
            'keywords' => '推广管理',
            'description' => '推广管理模块',
            'provider' => TuiguangServiceProvider::class
        ];
    }

    protected function requirePackages(): void
    {
        // TODO: Implement requirePackages() method.
    }

    protected function removePackages(): void
    {
        // TODO: Implement removePackages() method.
    }
}
